<?php
defined('TYPO3') or die();

\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\Ig\IgContainer\Tca\Registry::class)->configureContainerWithPaletteHeaders(
    (
        new \B13\Container\Tca\ContainerConfiguration(
            'container-2col', 
            '2 Column Container',
            'Insert an element dividing the content area into two columns',
            [
                [
                    ['name' => 'Left Column', 'colPos' => 10],
                    ['name' => 'Right Column', 'colPos' => 11]
                ]
            ]
        )
    )
    ->setIcon('EXT:ig_container/Resources/Public/Icons/Container/container-2col.svg')
    ->setSaveAndCloseInNewContentElementWizard(false)
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue('*', 'FILE:EXT:ig_container/Configuration/FlexForms/container-2col.xml', 'container-2col');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes ( 'tt_content', 'pi_flexform;;;;1-1-1,', 'container-2col', 'after:header' );
